Bug 817281 - send-receive button disabled when network is not reachable
send-receive button disabled when network is not reachable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 11:02 EDT by Cornelia Pfeffer
Modified: 2013-02-13 12:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 12:39:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cornelia Pfeffer 2012-04-28 11:02:26 EDT
Description of problem:
When you want to send a mail and the network isn't available, comes a message that your mail will be put in the outgoing folder and you'll have to click on send-receive-button to send it when the network is once more available.
But even when the network is once more available, the button remains disabled. One has to close Evolution and start it again to have the send-receive - button once more enabled. 

Version-Release number of selected component (if applicable):
evolution-3.2.3-2.fc16.i686

How reproducible:
when network is missing

Steps to Reproduce:
1. send message while network not available.
2. have it fail
3. watch the send-receive button greyed
  
Actual results:
button does not return enabled

Expected results:
button returns enabled by itself


Additional info:
Comment 1 Milan Crha 2012-05-02 05:48:04 EDT
Thanks for a bug report. Evolution relies on NetworkManager notifications about network availability for reporting online/offline state, and this is also indicated by the online/offline button at the left-bottom of evolution's window. You can also switch this mode on your own, by File->Work Online/Offline (it shows the opposite state than evolution is in). Evolution cannot be turned online when it's offline by NetworkManager notification. To have this fully working you should have installed also evolution-NetworkManager, but as you suggested in the description that evolution gone offline on network unavailability, then I guess you have it installed. The automatic move from offline to online is done only when evolution was moved to offline due to NetworkManager notification, if it's in offline due to user's will then it stays in offline regardless NetworkManager notifications.

Is it possible you moved to offline by accident before the network outage had been notified to evolution?

It seems to me as the most likely scenario, because the usual steps are:
a) evolution runs in online
b) after some time NetworkManager notifies about network outage
   b1) evolution receives notification and moves itself to offline mode
   b2) there is shown a notification panel about offline state due to network
       unavailability
c) NetworkManager notifies about connection availability
   c1) because of forced offline due to previous NetworkManager notification
       evolution moves to online automatically
   c2) panel from b2) is removed automatically
It worked this way the last week, when I was playing with online/offline notifications.

If you run evolution from a terminal, then you may see some messages from evolution about forced oflfine/online when it receives notifications from NetworkManager.
Comment 2 Cornelia Pfeffer 2012-05-02 07:09:54 EDT
At this moment, I strangely don't manage to reproduce the error!

I controlled, and I have Network-Manager installed.

I'm absolutely sure not to have put Evolution offline with the network-manager.

It seems however, that
https://bugzilla.gnome.org/show_bug.cgi?id=646801
would have some bearing with this problem.

I will try for some time to start Evolution from the terminal, so in case the problem will represent itself, I may see what is happening.

thank you very much!
Comment 3 Milan Crha 2012-05-03 02:53:23 EDT
(In reply to comment #2)
> It seems however, that
> https://bugzilla.gnome.org/show_bug.cgi?id=646801
> would have some bearing with this problem.

Hmm, I understood your report differently, I thought the button itself is disabled (as it is when evolution is offline), not that clicking Send/Receive button on the toolbar gets stuck in processing, about which is basically the upstream bug.
Comment 4 Cornelia Pfeffer 2012-05-03 03:25:46 EDT
Yes, you understood it right. the button was DISABLED. 
My technician informed me of that other bug, and he thought it might give an idea, being a bug in some way similar.
If you think the two cases can have nothing to do with one another, than let's forget the 646801. 
I confirm that the button was disabled as when Evolution is offline.

many kind regards
Comment 5 Milan Crha 2012-05-03 05:11:38 EDT
OK, no problem. I think this issue is rather about missing notification about established connection. The 3.6.0 (to be in Fedora 18) will not use NetworkManager directly, but it'll use GLib's network monitor. But that's another half a year far away.
Comment 6 Fedora End Of Life 2013-01-16 10:18:58 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 12:40:11 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.